import{s as $e,n as we,o as ye}from"../chunks/scheduler.6062bdaf.js";import{S as ke,i as qe,g as o,s as r,r as N,A as Ae,h as n,f as t,c as s,j as h,u as M,x as A,k as c,y as a,a as l,v as j,d as U,t as O,w as R}from"../chunks/index.4bca734e.js";import{D as xe}from"../chunks/Docstring.1e02b952.js";import{I as ce}from"../chunks/IconCopyLink.68a13644.js";function De(le){let g,B,u,_,S,C,te,D,re="Managing collections",V,x,se='Check out the <a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi">HfApi</a> documentation page for the reference of methods to manage your Space on the Hub.',G,$,he='<li>Get collection content: <a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.get_collection">get_collection()</a></li> <li>Create new collection: <a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.create_collection">create_collection()</a></li> <li>Update a collection: <a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.update_collection_metadata">update_collection_metadata()</a></li> <li>Delete a collection: <a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.delete_collection">delete_collection()</a></li> <li>Add an item to a collection: <a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.add_collection_item">add_collection_item()</a></li> <li>Update an item in a collection: <a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.update_collection_item">update_collection_item()</a></li> <li>Remove an item from a collection: <a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.delete_collection_item">delete_collection_item()</a></li>',J,d,b,T,w,oe,I,ge="Collection",W,p,y,ne,H,ue="Contains information about a Collection on the Hub.",z,f,v,L,k,ie,E,de="CollectionItem",F,m,q,ae,P,pe="Contains information about an item of a Collection (model, dataset, Space or paper).",K;return C=new ce({}),w=new ce({}),y=new xe({props:{name:"class huggingface_hub.Collection",anchor:"huggingface_hub.Collection",parameters:[{name:"data",val:": Dict"},{name:"endpoint",val:": Optional[str] = None"}],parametersDescription:[{anchor:"huggingface_hub.Collection.slug",description:`<strong>slug</strong> (<code>str</code>) &#x2014;
Slug of the collection. E.g. <code>&quot;TheBloke/recent-models-64f9a55bb3115b4f513ec026&quot;</code>.`,name:"slug"},{anchor:"huggingface_hub.Collection.title",description:`<strong>title</strong> (<code>str</code>) &#x2014;
Title of the collection. E.g. <code>&quot;Recent models&quot;</code>.`,name:"title"},{anchor:"huggingface_hub.Collection.owner",description:`<strong>owner</strong> (<code>str</code>) &#x2014;
Owner of the collection. E.g. <code>&quot;TheBloke&quot;</code>.`,name:"owner"},{anchor:"huggingface_hub.Collection.description",description:`<strong>description</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Description of the collection, as plain text.`,name:"description"},{anchor:"huggingface_hub.Collection.items",description:`<strong>items</strong> (<code>List[CollectionItem]</code>) &#x2014;
List of items in the collection.`,name:"items"},{anchor:"huggingface_hub.Collection.last_updated",description:`<strong>last_updated</strong> (<code>datetime</code>) &#x2014;
Date of the last update of the collection.`,name:"last_updated"},{anchor:"huggingface_hub.Collection.position",description:`<strong>position</strong> (<code>int</code>) &#x2014;
Position of the collection in the list of collections of the owner.`,name:"position"},{anchor:"huggingface_hub.Collection.private",description:`<strong>private</strong> (<code>bool</code>) &#x2014;
Whether the collection is private or not.`,name:"private"},{anchor:"huggingface_hub.Collection.theme",description:`<strong>theme</strong> (<code>str</code>) &#x2014;
Theme of the collection. E.g. <code>&quot;green&quot;</code>.`,name:"theme"},{anchor:"huggingface_hub.Collection.url",description:`<strong>url</strong> (<code>str</code>) &#x2014;
URL for the collection on the Hub.`,name:"url"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/hf_api.py#L643"}}),k=new ce({}),q=new xe({props:{name:"class huggingface_hub.CollectionItem",anchor:"huggingface_hub.CollectionItem",parameters:[{name:"_id",val:": str"},{name:"id",val:": str"},{name:"type",val:": CollectionItemType_T"},{name:"position",val:": int"},{name:"note",val:": Optional[Dict] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"huggingface_hub.CollectionItem.item_object_id",description:`<strong>item_object_id</strong> (<code>str</code>) &#x2014;
Unique ID of the item in the collection.`,name:"item_object_id"},{anchor:"huggingface_hub.CollectionItem.item_id",description:`<strong>item_id</strong> (<code>str</code>) &#x2014;
ID of the underlying object on the Hub. Can be either a repo_id or a paper id
e.g. <code>&quot;jbilcke-hf/ai-comic-factory&quot;</code>, <code>&quot;2307.09288&quot;</code>.`,name:"item_id"},{anchor:"huggingface_hub.CollectionItem.item_type",description:`<strong>item_type</strong> (<code>str</code>) &#x2014;
Type of the underlying object. Can be one of <code>&quot;model&quot;</code>, <code>&quot;dataset&quot;</code>, <code>&quot;space&quot;</code> or <code>&quot;paper&quot;</code>.`,name:"item_type"},{anchor:"huggingface_hub.CollectionItem.position",description:`<strong>position</strong> (<code>int</code>) &#x2014;
Position of the item in the collection.`,name:"position"},{anchor:"huggingface_hub.CollectionItem.note",description:`<strong>note</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Note associated with the item, as plain text.`,name:"note"},{anchor:"huggingface_hub.CollectionItem.kwargs",description:`<strong>kwargs</strong> (<code>Dict</code>, <em>optional</em>) &#x2014;
Any other attribute returned by the server. Those attributes depend on the <code>item_type</code>: &#x201C;author&#x201D;, &#x201C;private&#x201D;,
&#x201C;lastModified&#x201D;, &#x201C;gated&#x201D;, &#x201C;title&#x201D;, &#x201C;likes&#x201D;, &#x201C;upvotes&#x201D;, etc.`,name:"kwargs"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/hf_api.py#L610"}}),{c(){g=o("meta"),B=r(),u=o("h1"),_=o("a"),S=o("span"),N(C.$$.fragment),te=r(),D=o("span"),D.textContent=re,V=r(),x=o("p"),x.innerHTML=se,G=r(),$=o("ul"),$.innerHTML=he,J=r(),d=o("h3"),b=o("a"),T=o("span"),N(w.$$.fragment),oe=r(),I=o("span"),I.textContent=ge,W=r(),p=o("div"),N(y.$$.fragment),ne=r(),H=o("p"),H.textContent=ue,z=r(),f=o("h3"),v=o("a"),L=o("span"),N(k.$$.fragment),ie=r(),E=o("span"),E.textContent=de,F=r(),m=o("div"),N(q.$$.fragment),ae=r(),P=o("p"),P.textContent=pe,this.h()},l(e){const i=Ae("svelte-1phssyn",document.head);g=n(i,"META",{name:!0,content:!0}),i.forEach(t),B=s(e),u=n(e,"H1",{class:!0});var Q=h(u);_=n(Q,"A",{id:!0,class:!0,href:!0});var fe=h(_);S=n(fe,"SPAN",{});var me=h(S);M(C.$$.fragment,me),me.forEach(t),fe.forEach(t),te=s(Q),D=n(Q,"SPAN",{"data-svelte-h":!0}),A(D)!=="svelte-1xin0lu"&&(D.textContent=re),Q.forEach(t),V=s(e),x=n(e,"P",{"data-svelte-h":!0}),A(x)!=="svelte-w6r9q"&&(x.innerHTML=se),G=s(e),$=n(e,"UL",{"data-svelte-h":!0}),A($)!=="svelte-1v5in1k"&&($.innerHTML=he),J=s(e),d=n(e,"H3",{class:!0});var X=h(d);b=n(X,"A",{id:!0,class:!0,href:!0});var _e=h(b);T=n(_e,"SPAN",{});var be=h(T);M(w.$$.fragment,be),be.forEach(t),_e.forEach(t),oe=s(X),I=n(X,"SPAN",{"data-svelte-h":!0}),A(I)!=="svelte-c03lsx"&&(I.textContent=ge),X.forEach(t),W=s(e),p=n(e,"DIV",{class:!0});var Y=h(p);M(y.$$.fragment,Y),ne=s(Y),H=n(Y,"P",{"data-svelte-h":!0}),A(H)!=="svelte-182nhcq"&&(H.textContent=ue),Y.forEach(t),z=s(e),f=n(e,"H3",{class:!0});var Z=h(f);v=n(Z,"A",{id:!0,class:!0,href:!0});var ve=h(v);L=n(ve,"SPAN",{});var Ce=h(L);M(k.$$.fragment,Ce),Ce.forEach(t),ve.forEach(t),ie=s(Z),E=n(Z,"SPAN",{"data-svelte-h":!0}),A(E)!=="svelte-j9gws"&&(E.textContent=de),Z.forEach(t),F=s(e),m=n(e,"DIV",{class:!0});var ee=h(m);M(q.$$.fragment,ee),ae=s(ee),P=n(ee,"P",{"data-svelte-h":!0}),A(P)!=="svelte-11ei059"&&(P.textContent=pe),ee.forEach(t),this.h()},h(){c(g,"name","hf:doc:metadata"),c(g,"content",JSON.stringify(Ie)),c(_,"id","managing-collections"),c(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_,"href","#managing-collections"),c(u,"class","relative group"),c(b,"id","huggingface_hub.Collection"),c(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(b,"href","#huggingface_hub.Collection"),c(d,"class","relative group"),c(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(v,"id","huggingface_hub.CollectionItem"),c(v,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(v,"href","#huggingface_hub.CollectionItem"),c(f,"class","relative group"),c(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){a(document.head,g),l(e,B,i),l(e,u,i),a(u,_),a(_,S),j(C,S,null),a(u,te),a(u,D),l(e,V,i),l(e,x,i),l(e,G,i),l(e,$,i),l(e,J,i),l(e,d,i),a(d,b),a(b,T),j(w,T,null),a(d,oe),a(d,I),l(e,W,i),l(e,p,i),j(y,p,null),a(p,ne),a(p,H),l(e,z,i),l(e,f,i),a(f,v),a(v,L),j(k,L,null),a(f,ie),a(f,E),l(e,F,i),l(e,m,i),j(q,m,null),a(m,ae),a(m,P),K=!0},p:we,i(e){K||(U(C.$$.fragment,e),U(w.$$.fragment,e),U(y.$$.fragment,e),U(k.$$.fragment,e),U(q.$$.fragment,e),K=!0)},o(e){O(C.$$.fragment,e),O(w.$$.fragment,e),O(y.$$.fragment,e),O(k.$$.fragment,e),O(q.$$.fragment,e),K=!1},d(e){e&&(t(B),t(u),t(V),t(x),t(G),t($),t(J),t(d),t(W),t(p),t(z),t(f),t(F),t(m)),t(g),R(C),R(w),R(y),R(k),R(q)}}}const Ie={local:"managing-collections",sections:[{local:"huggingface_hub.Collection",title:"Collection"},{local:"huggingface_hub.CollectionItem",title:"CollectionItem"}],title:"Managing collections"};function He(le){return ye(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Le extends ke{constructor(g){super(),qe(this,g,He,De,$e,{})}}export{Le as component};
